Package: org.gradle.tooling.events

## [Java] Interface FinishEvent

- org.gradle.tooling.events.ProgressEvent

- All Superinterfaces:
    ProgressEvent

  An event that informs about an operation having finished its execution.

  Since:
    2.4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `OperationResult` | `getResult()` Returns the result of the finished operation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ProgressEvent` | `getDescriptor, getDisplayName, getEventTime`

- - ### Method Detail

    - #### public OperationResult getResult()

      Returns the result of the finished operation.

      Returns:
        the result of the finished operation